| Home | Libraries | People | FAQ | More

###### params_encoded_ref::erase (3 of 3 overloads)

Erase params.

###### Synopsis

    std::size_t
    erase(
        pct_string_view key,
        ignore_case_param ic = {});

###### Description

All iterators are invalidated.

###### Postconditions

    this->count( key, ic ) == 0

###### Complexity

Linear in `this->url().encoded_query().size()`.

###### Exception Safety

Exceptions thrown on invalid input.

###### Exceptions

Type | Thrown On
--- | ---
`system_error` | `key` contains an invalid percent-encoding.

###### Return Value

The number of params removed from the container.

###### Parameters

Name | Description
--- | ---
`key` | The key to match. By default, a case-sensitive comparison is used.
`ic` | An optional parameter. If the value `ignore_case` is passed here, the comparison is case-insensitive.